Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 808934 - f17 lsusb -t emits an 'No such file or directory'
Summary: f17 lsusb -t emits an 'No such file or directory'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: usbutils
Version: 17
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Lukáš Nykrýn
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-01 20:58 UTC by Reartes Guillermo
Modified: 2012-05-02 20:54 UTC (History)
1 user (show)

Fixed In Version: usbutils-004-4.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 814087 (view as bug list)
Environment:
Last Closed: 2012-05-02 20:54:11 UTC
Type: ---


Attachments (Terms of Use)
If driver link is missing, don't show any error (1.15 KB, patch)
2012-04-03 10:28 UTC, Lukáš Nykrýn
no flags Details | Diff
strace with the patched lsusb (46.11 KB, text/plain)
2012-04-03 22:10 UTC, Reartes Guillermo
no flags Details
strace, upatched, F16, lsusb -t does not complete, must ctrl+c it. (43.44 KB, text/plain)
2012-04-03 22:15 UTC, Reartes Guillermo
no flags Details

Description Reartes Guillermo 2012-04-01 20:58:45 UTC
Description of problem:

[root@fnext ~]# lsusb
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 008 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 009 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 010 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 011 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 002: ID 04a9:1905 Canon, Inc. CanoScan LiDE 200
Bus 005 Device 002: ID 0a81:0101 Chesen Electronics Corp. Keyboard
Bus 005 Device 003: ID 0458:003a KYE Systems Corp. (Mouse Systems) NetScroll+ Mini Traveler / Genius NetScroll 120

[root@fnext ~]# lsusb > lsusb-tst.out

[root@fnext ~]# lsusb -t
1-2:1.0: No such file or directory
/:  Bus 11.Port 1: Dev 1, Class=root_hub, Driver=xhci_hcd/2p, 5000M
/:  Bus 10.Port 1: Dev 1, Class=root_hub, Driver=xhci_hcd/2p, 480M
/:  Bus 09.Port 1: Dev 1, Class=root_hub, Driver=xhci_hcd/2p, 5000M
/:  Bus 08.Port 1: Dev 1, Class=root_hub, Driver=xhci_hcd/2p, 480M
/:  Bus 07.Port 1: Dev 1, Class=root_hub, Driver=ohci_hcd/4p, 12M
/:  Bus 06.Port 1: Dev 1, Class=root_hub, Driver=ohci_hcd/2p, 12M
/:  Bus 05.Port 1: Dev 1, Class=root_hub, Driver=ohci_hcd/5p, 12M
    |__ Port 4: Dev 2, If 0, Class=HID, Driver=usbhid, 1.5M
    |__ Port 4: Dev 2, If 1, Class=HID, Driver=usbhid, 1.5M
    |__ Port 5: Dev 3, If 0, Class=HID, Driver=usbhid, 1.5M
/:  Bus 04.Port 1: Dev 1, Class=root_hub, Driver=ohci_hcd/5p, 12M
/:  Bus 03.Port 1: Dev 1, Class=root_hub, Driver=ehci_hcd/4p, 480M
/:  Bus 02.Port 1: Dev 1, Class=root_hub, Driver=ehci_hcd/5p, 480M
/:  Bus 01.Port 1: Dev 1, Class=root_hub, Driver=ehci_hcd/5p, 480M

[root@fnext ~]# lsusb -t > lsusb-t-tst.out
1-2:1.0: No such file or directory

[root@fnext ~]# lsusb -t &> lsusb-t-tst.out
[root@fnext ~]# lsusb -vvv > lsusb-t-tst.out

Version-Release number of selected component (if applicable):
F17, F16, Centos, RHEL (multiple hosts, desktos, laptops)

How reproducible:
always

Steps to Reproduce:
1. lsusb -t
2. <pauses can happen>
  
Actual results:
on some hosts, lsusb might no finish.
on the rest of the hosts, the error is shown
and it continues. no know issue other than the
error shown.

F16 host:

# lsusb -t
2-1.7:1.2: No such file or directory
2-1.8:0.0: No such file or directory
2-1.8:0.1: No such file or directory
2-1.7:1.3: No such file or directory
^C

Normal F16:

[root@grimmjow ~]# lsusb 
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
Bus 001 Device 003: ID 0461:4db1 Primax Electronics, Ltd 
Bus 002 Device 019: ID 413c:8187 Dell Computer Corp. DW375 Bluetooth Module
Bus 002 Device 004: ID 0a5c:5800 Broadcom Corp. BCM5880 Secure Applications Processor

Expected results:
no error

Additional info:

F17 ---> usbutils-004-3.fc17_x86_64
F17 ---> 3.3.0-8.fc17.x86_64

F16 ---> usbutils-003-4.fc16_x86_64
F16 ---> 3.3.0-4.fc16.x86_64

Comment 1 Lukáš Nykrýn 2012-04-03 08:00:10 UTC
I was not able to reproduce it, but can you please provide output of:

strace lsusb -t

Comment 2 Lukáš Nykrýn 2012-04-03 09:32:39 UTC
I have found cause of this issue, sometimes there is no /sys/bus/usb/devices/*/driver file.

Comment 3 Lukáš Nykrýn 2012-04-03 10:28:05 UTC
Created attachment 574815 [details]
If driver link is missing, don't show any error

I think that this change should be sufficient, but I will discuss this with upstream.

Comment 4 Reartes Guillermo 2012-04-03 11:31:27 UTC
# strace lsusb -t
execve("/usr/bin/lsusb", ["lsusb", "-t"], [/* 26 vars */]) = 0
brk(0)                                  = 0x1ce3000
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7ffca699b000
access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=129303, ...}) = 0
mmap(NULL, 129303, PROT_READ, MAP_PRIVATE, 3, 0) = 0x7ffca6978000
close(3)                                = 0
open("/lib64/libusb-1.0.so.0", O_RDONLY) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0 &\200\2711\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=56280, ...}) = 0
mmap(0x31b9800000, 2149104, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x31b9800000
mprotect(0x31b980d000, 2093056, PROT_NONE) = 0
mmap(0x31b9a0c000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0xc000) = 0x31b9a0c000
close(3)                                = 0
open("/lib64/libc.so.6", O_RDONLY)      = 3
read(3, "\177ELF\2\1\1\3\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0p\24\242\2401\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=1951696, ...}) = 0
mmap(0x31a0a00000, 3773688, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x31a0a00000
mprotect(0x31a0b90000, 2093056, PROT_NONE) = 0
mmap(0x31a0d8f000, 20480, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x18f000) = 0x31a0d8f000
mmap(0x31a0d94000, 21752, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x31a0d94000
close(3)                                = 0
open("/lib64/librt.so.1", O_RDONLY)     = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0`!\340\2411\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=47552, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7ffca6977000
mmap(0x31a1e00000, 2128968, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x31a1e00000
mprotect(0x31a1e07000, 2093056, PROT_NONE) = 0
mmap(0x31a2006000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x6000) = 0x31a2006000
close(3)                                = 0
open("/lib64/libpthread.so.0", O_RDONLY) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\300i \2411\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=140960, ...}) = 0
mmap(0x31a1200000, 2204664, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x31a1200000
mprotect(0x31a1216000, 2093056, PROT_NONE) = 0
mmap(0x31a1415000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x15000) = 0x31a1415000
mmap(0x31a1417000, 13304, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x31a1417000
close(3)                                = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7ffca6976000
mmap(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7ffca6974000
arch_prctl(ARCH_SET_FS, 0x7ffca6974720) = 0
mprotect(0x31a0d8f000, 16384, PROT_READ) = 0
mprotect(0x31a2006000, 4096, PROT_READ) = 0
mprotect(0x31a1415000, 4096, PROT_READ) = 0
mprotect(0x31a081e000, 4096, PROT_READ) = 0
munmap(0x7ffca6978000, 129303)          = 0
set_tid_address(0x7ffca69749f0)         = 9100
set_robust_list(0x7ffca6974a00, 0x18)   = 0
rt_sigaction(SIGRTMIN, {0x31a1206510, [], SA_RESTORER|SA_SIGINFO, 0x31a120eee0}, NULL, 8) = 0
rt_sigaction(SIGRT_1, {0x31a12065a0, [], SA_RESTORER|SA_RESTART|SA_SIGINFO, 0x31a120eee0}, NULL, 8) = 0
rt_sigprocmask(SIG_UNBLOCK, [RTMIN RT_1], NULL, 8) = 0
getrlimit(RLIMIT_STACK, {rlim_cur=8192*1024, rlim_max=RLIM_INFINITY}) = 0
brk(0)                                  = 0x1ce3000
brk(0x1d04000)                          = 0x1d04000
brk(0)                                  = 0x1d04000
open("/usr/share/hwdata/usb.ids", O_RDONLY) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=451747, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7ffca699a000
read(3, "#\n#\tList of USB ID's\n#\n#\tMaintai"..., 4096) = 4096
read(3, "Bluetooth Device\n\t6440  WML-C52A"..., 4096) = 4096
read(3, "bcam\n\t1c02  PhotoSmart A710 seri"..., 4096) = 4096
read(3, "FP\n\t5711  PhotoSmart C4100 serie"..., 4096) = 4096
read(3, "-Xchange Adapter\n\tadcc  Composit"..., 4096) = 4096
read(3, "310  K590 Printer, Self-Service\n"..., 4096) = 4096
read(3, "\n\t05b7  Digital Camera\n\t05b8  Di"..., 4096) = 4096
read(3, " (STK7700P based)\n0414  Giga-Byt"..., 4096) = 4096
read(3, "(MTP)\n\t4151  Zen Vision:M (mtp)\n"..., 4096) = 4096
read(3, "orp.\n\t0001  Integrated Hub\n\t0acd"..., 4096) = 4096
read(3, "nter\n\t007c  Lexmark X1110/X1130/"..., 4096) = 4096
read(3, "\n\tf001  FT2232H Hi-Speed JTAG IC"..., 4096) = 4096
read(3, "  Sidewinder Strategic Commander"..., 4096) = 4096
read(3, "ed Pocket PC 2003\n\t043d  Becker "..., 4096) = 4096
read(3, "feCam HD-5000\n\t930a  ISOUSB.SYS "..., 4096) = 4096
read(3, "s Pro)\n\t08c5  QuickCam Pro 5000\n"..., 4096) = 4096
read(3, "f  F710 Wireless Gamepad [XInput"..., 4096) = 4096
read(3, "Player\n\t0163  GoGear SA1100\n\t016"..., 4096) = 4096
read(3, "018  Studio Mouse\n\t101d  Mouse*i"..., 4096) = 4096
brk(0)                                  = 0x1d04000
brk(0x1d25000)                          = 0x1d25000
read(3, "UX256 MIDI I/F\n\t1001  MU1000\n\t10"..., 4096) = 4096
read(3, "h 7600 Scanner\n\t0221  OneTouch 5"..., 4096) = 4096
read(3, "219  CanoScan 9950F\n\t221b  CanoS"..., 4096) = 4096
read(3, "ot S410 Digital Elph\n\t30bb  Powe"..., 4096) = 4096
read(3, "\t4482  Serial Converter\n\t4485  S"..., 4096) = 4096
read(3, "tylus Photo RX560/580/590 (PM-A8"..., 4096) = 4096
read(3, "800/6800 Zoom (PC CAM)\n\t0108  Fi"..., 4096) = 4096
read(3, "1  PIC24F Starter Kit\n\t900a  PIC"..., 4096) = 4096
read(3, "ader\n\t5292  SCL011 RFID reader\n\t"..., 4096) = 4096
read(3, "  MITs Sync\n\t6632  MITs Sync\n\t66"..., 4096) = 4096
read(3, " HL-5250DN Printer\n\t002c  Printe"..., 4096) = 4096
read(3, "ALink SPIF225A\n\t1528  SPCA1527A/"..., 4096) = 4096
read(3, "nk RT2870]\n\t805e  F5D8053 N Wire"..., 4096) = 4096
read(3, "nstitut of Microelectronic & Mec"..., 4096) = 4096
read(3, "G-TJ35 PDA Serial\n\t016a  Clie PE"..., 4096) = 4096
read(3, "ebooks [pwc]\n\ta000  SWL-2100U\n\ta"..., 4096) = 4096
read(3, "03  UC-SGT\n\t5004  UC-SGT\n\t6008  "..., 4096) = 4096
brk(0)                                  = 0x1d25000
brk(0x1d46000)                          = 0x1d46000
read(3, "Fritz!WLAN [Texas Instruments TN"..., 4096) = 4096
read(3, "l\n\tb00a  PSX/USB converter\n\tb00b"..., 4096) = 4096
read(3, " (Type 3)\n\t0032  Zip 250 (Ver 2)"..., 4096) = 4096
read(3, "ckpad (ANSI)\n\t0224  Internal Key"..., 4096) = 4096
read(3, "0  SIMCom SIM5218 modem\n\t9001  G"..., 4096) = 4096
read(3, "aker X6/X6U\n\t009a  Phantom C6\n\t0"..., 4096) = 4096
read(3, "Mbps Adapter\n05df  Silicon Visio"..., 4096) = 4096
read(3, "cs Co., Ltd\n0607  Bridge Informa"..., 4096) = 4096
read(3, "r CrystalEye Webcam\n\ta102  Acer/"..., 4096) = 4096
read(3, "layer\n\t821c  MP3 Player\n\t821d  M"..., 4096) = 4096
read(3, " XT Camera [remote mode]\n\t4017  "..., 4096) = 4096
read(3, "l Connect Modem\n\t000b  WireSpeed"..., 4096) = 4096
read(3, "apanese Keyboard\n06d6  Aashima T"..., 4096) = 4096
read(3, " GamePad\n\tb000  Hercules DJ Cons"..., 4096) = 4096
read(3, "\t4586  XBox Device\n\t4588  XBox D"..., 4096) = 4096
read(3, "g. Co., Ltd\n077b  Linksys\n\t08be "..., 4096) = 4096
read(3, "0790  Pro-Image Manufacturing Co"..., 4096) = 4096
read(3, "Voice Recorder DS-330\n\t0207  Dig"..., 4096) = 4096
brk(0)                                  = 0x1d46000
brk(0x1d67000)                          = 0x1d67000
read(3, "eader (UISMA)\n\t0012  Reader (UIS"..., 4096) = 4096
read(3, "02.11n Wireless N Adapter(rev.B)"..., 4096) = 4096
read(3, "imax 410\n\t000e  Digimax 360\n\t001"..., 4096) = 4096
read(3, "chi Maxell, Ltd\n\t3102  Bluetooth"..., 4096) = 4096
read(3, "3  Pocket DV Digital Camera\n\t010"..., 4096) = 4096
read(3, "\t3402  AES3400 Sensor\n\t3403  AES"..., 4096) = 4096
read(3, "0 (X750_USB)\n0925  Lakeview Rese"..., 4096) = 4096
read(3, "0U A/V Capture Audio\n\ta004  Conv"..., 4096) = 4096
read(3, "\t0007  Reader V2\n\t0008  ZFG-9800"..., 4096) = 4096
read(3, " 82-key backlit keyboard\n0a35  R"..., 4096) = 4096
read(3, "Corp.\n0a5f  Zebra\n\t0009  LP2844 "..., 4096) = 4096
read(3, "unication Camera VGP-VCC1\n\tc302 "..., 4096) = 4096
read(3, "\n0b0b  Datamax-O'Neil\n\t106e  Dat"..., 4096) = 4096
read(3, "nology, Inc.\n0b85  Elkat Electro"..., 4096) = 4096
read(3, " SmartPhone Sync\n\t0a6c  SmartPho"..., 4096) = 4096
read(3, " Mass Storage Device\n\t0178  Mass"..., 4096) = 4096
read(3, "\n\t0204  Metrologic MS7120 Barcod"..., 4096) = 4096
read(3, "0360/MT9V011 or MI0360SOC/MT9V11"..., 4096) = 4096
brk(0)                                  = 0x1d67000
brk(0x1d88000)                          = 0x1d88000
read(3, "td\n0ccc  Domex Technology Corp.\n"..., 4096) = 4096
read(3, "y, Ltd\n0d3d  Tangtop Technology "..., 4096) = 4096
read(3, "  Mass Storage Controller\n\t5200 "..., 4096) = 4096
read(3, "hen Yeh Enterprise Corp.\n0db7  E"..., 4096) = 4096
read(3, "ss Network USB Adapter\n\t9075  WL"..., 4096) = 4096
read(3, "\t1204  Gmini XS 200\n\t1306  504 P"..., 4096) = 4096
read(3, " Co., Ltd\n0f2f  Priva Design Ser"..., 4096) = 4096
read(3, "ass Storage] \n\te0ef  C905 Phone "..., 4096) = 4096
read(3, "  Winbond Electronics Corp. [hex"..., 4096) = 4096
read(3, " Inc.\n\t3009  eHome Infrared Tran"..., 4096) = 4096
read(3, " 1650-16 16-Port RS-232/422/485\n"..., 4096) = 4096
read(3, "reless Modem\n\t900a  Gobi 2000 Wi"..., 4096) = 4096
read(3, " Wireless Terminal\n\t1037  Ideos\n"..., 4096) = 4096
read(3, "der\n13b0  PerkinElmer Optoelectr"..., 4096) = 4096
read(3, "  DataTraveler 2.0 4GB Flash Dri"..., 4096) = 4096
read(3, " Inc.\n14b0  StarTech.com Ltd.\n14"..., 4096) = 4096
read(3, " USB Wireless Card\n\t0012  WUBR-2"..., 4096) = 4096
read(3, "dem\n\t1a17  Agilent Technologies "..., 4096) = 4096
brk(0)                                  = 0x1d88000
brk(0x1da9000)                          = 0x1da9000
read(3, "801  U43\n16b5  Persentec, Inc.\n\t"..., 4096) = 4096
read(3, "asynote MX66-208W\n\taa11  Web Cam"..., 4096) = 4096
read(3, "(v2) based USB DVB-T receiver\n\tf"..., 4096) = 4096
read(3, "nfotech Logistic, LLC\n19b9  Data"..., 4096) = 4096
read(3, "35  PC Camera/Webcam controller\n"..., 4096) = 4096
read(3, "CS, INC.\n1ca0  ACCARIO Inc.\n1cac"..., 4096) = 4096
read(3, "5523]\n\t3a03  DWL-G132 (no firmwa"..., 4096) = 4096
read(3, " 1.0 (TDMA) chipset\n\t1801  Rainb"..., 4096) = 4096
read(3, "0\n\t100a  MPIO FL300\n\t100b  MPIO "..., 4096) = 4096
read(3, "AIO Printer 926\n\t5116  AIO Print"..., 4096) = 4096
read(3, " 802.11g Adapter [Intersil ISL38"..., 4096) = 4096
read(3, "ller from (Intel/CSR)\n\t1110  PRO"..., 4096) = 4096
read(3, "d protocols\n\n# Syntax:\n# C class"..., 4096) = 4096
read(3, "  VCR Audio\nAT 070a  Video Disc "..., 4096) = 4096
read(3, "  Bicylce Crank\n\t0ce  Handle Bar"..., 4096) = 4096
read(3, "Locking Scroll Lock\n\t085  Keypad"..., 4096) = 4096
read(3, "tion\n\t062  Closed Caption Select"..., 4096) = 4096
brk(0)                                  = 0x1da9000
brk(0x1dca000)                          = 0x1dca000
read(3, "\n\t234  AC Scroll Down\n\t235  AC S"..., 4096) = 4096
read(3, "oning\n\t038  Cursor Mode\n\t039  Cu"..., 4096) = 4096
read(3, "e Limit Expired\n\t044  Charging\n\t"..., 4096) = 4096
read(3, "\n\n# HID Descriptor bCountryCode\n"..., 4096) = 1187
read(3, "", 4096)                       = 0
close(3)                                = 0
munmap(0x7ffca699a000, 4096)            = 0
open("/dev/bus/usb", O_RDONLY|O_NONBLOCK|O_DIRECTORY|O_CLOEXEC) = 3
getdents(3, /* 13 entries */, 32768)    = 312
close(3)                                = 0
uname({sys="Linux", node="ulquiorra.espada", ...}) = 0
stat("/sys/bus/usb/devices", {st_mode=S_IFDIR|0755, st_size=0, ...}) = 0
pipe([3, 4])                            = 0
timerfd_create(CLOCK_MONOTONIC, 0x800 /* TFD_??? */) = 5
access("/proc/bus/usb/devices", R_OK)   = -1 ENOENT (No such file or directory)
open("/sys/bus/usb/devices", O_RDONLY|O_NONBLOCK|O_DIRECTORY|O_CLOEXEC) = 6
getdents(6, /* 31 entries */, 32768)    = 880
open("/sys/bus/usb/devices/usb1/devnum", O_RDONLY) = 7
read(7, "1\n", 11)                      = 2
close(7)                                = 0
open("/sys/bus/usb/devices/usb1/bDeviceClass", O_RDONLY) = 7
read(7, "09\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/usb1/maxchild", O_RDONLY) = 7
read(7, "5\n", 11)                      = 2
close(7)                                = 0
open("/sys/bus/usb/devices/usb1/speed", O_RDONLY) = 7
read(7, "480\n", 255)                   = 4
close(7)                                = 0
readlink("/sys/bus/usb/devices/usb1/../driver", "../../../bus/pci/drivers/ehci_hcd"..., 4096) = 33
open("/sys/bus/usb/devices/1-0:1.0/bAlternateSetting", O_RDONLY) = 7
read(7, " 0\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/1-0:1.0/bInterfaceClass", O_RDONLY) = 7
read(7, "09\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/1-0:1.0/bInterfaceNumber", O_RDONLY) = 7
read(7, "00\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/1-0:1.0/bInterfaceProtocol", O_RDONLY) = 7
read(7, "00\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/1-0:1.0/bInterfaceSubClass", O_RDONLY) = 7
read(7, "00\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/1-0:1.0/bNumEndpoints", O_RDONLY) = 7
read(7, "01\n", 11)                     = 3
close(7)                                = 0
readlink("/sys/bus/usb/devices/1-0:1.0/driver", "../../../../../bus/usb/drivers/hub"..., 4096) = 34
open("/sys/bus/usb/devices/usb2/devnum", O_RDONLY) = 7
read(7, "1\n", 11)                      = 2
close(7)                                = 0
open("/sys/bus/usb/devices/usb2/bDeviceClass", O_RDONLY) = 7
read(7, "09\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/usb2/maxchild", O_RDONLY) = 7
read(7, "5\n", 11)                      = 2
close(7)                                = 0
open("/sys/bus/usb/devices/usb2/speed", O_RDONLY) = 7
read(7, "480\n", 255)                   = 4
close(7)                                = 0
readlink("/sys/bus/usb/devices/usb2/../driver", "../../../bus/pci/drivers/ehci_hcd"..., 4096) = 33
open("/sys/bus/usb/devices/2-0:1.0/bAlternateSetting", O_RDONLY) = 7
read(7, " 0\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/2-0:1.0/bInterfaceClass", O_RDONLY) = 7
read(7, "09\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/2-0:1.0/bInterfaceNumber", O_RDONLY) = 7
read(7, "00\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/2-0:1.0/bInterfaceProtocol", O_RDONLY) = 7
read(7, "00\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/2-0:1.0/bInterfaceSubClass", O_RDONLY) = 7
read(7, "00\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/2-0:1.0/bNumEndpoints", O_RDONLY) = 7
read(7, "01\n", 11)                     = 3
close(7)                                = 0
readlink("/sys/bus/usb/devices/2-0:1.0/driver", "../../../../../bus/usb/drivers/hub"..., 4096) = 34
open("/sys/bus/usb/devices/usb3/devnum", O_RDONLY) = 7
read(7, "1\n", 11)                      = 2
close(7)                                = 0
open("/sys/bus/usb/devices/usb3/bDeviceClass", O_RDONLY) = 7
read(7, "09\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/usb3/maxchild", O_RDONLY) = 7
read(7, "4\n", 11)                      = 2
close(7)                                = 0
open("/sys/bus/usb/devices/usb3/speed", O_RDONLY) = 7
read(7, "480\n", 255)                   = 4
close(7)                                = 0
readlink("/sys/bus/usb/devices/usb3/../driver", "../../../bus/pci/drivers/ehci_hcd"..., 4096) = 33
open("/sys/bus/usb/devices/3-0:1.0/bAlternateSetting", O_RDONLY) = 7
read(7, " 0\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/3-0:1.0/bInterfaceClass", O_RDONLY) = 7
read(7, "09\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/3-0:1.0/bInterfaceNumber", O_RDONLY) = 7
read(7, "00\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/3-0:1.0/bInterfaceProtocol", O_RDONLY) = 7
read(7, "00\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/3-0:1.0/bInterfaceSubClass", O_RDONLY) = 7
read(7, "00\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/3-0:1.0/bNumEndpoints", O_RDONLY) = 7
read(7, "01\n", 11)                     = 3
close(7)                                = 0
readlink("/sys/bus/usb/devices/3-0:1.0/driver", "../../../../../bus/usb/drivers/hub"..., 4096) = 34
open("/sys/bus/usb/devices/usb4/devnum", O_RDONLY) = 7
read(7, "1\n", 11)                      = 2
close(7)                                = 0
open("/sys/bus/usb/devices/usb4/bDeviceClass", O_RDONLY) = 7
read(7, "09\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/usb4/maxchild", O_RDONLY) = 7
read(7, "5\n", 11)                      = 2
close(7)                                = 0
open("/sys/bus/usb/devices/usb4/speed", O_RDONLY) = 7
read(7, "12\n", 255)                    = 3
close(7)                                = 0
readlink("/sys/bus/usb/devices/usb4/../driver", "../../../bus/pci/drivers/ohci_hcd"..., 4096) = 33
open("/sys/bus/usb/devices/4-0:1.0/bAlternateSetting", O_RDONLY) = 7
read(7, " 0\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/4-0:1.0/bInterfaceClass", O_RDONLY) = 7
read(7, "09\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/4-0:1.0/bInterfaceNumber", O_RDONLY) = 7
read(7, "00\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/4-0:1.0/bInterfaceProtocol", O_RDONLY) = 7
read(7, "00\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/4-0:1.0/bInterfaceSubClass", O_RDONLY) = 7
read(7, "00\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/4-0:1.0/bNumEndpoints", O_RDONLY) = 7
read(7, "01\n", 11)                     = 3
close(7)                                = 0
readlink("/sys/bus/usb/devices/4-0:1.0/driver", "../../../../../bus/usb/drivers/hub"..., 4096) = 34
open("/sys/bus/usb/devices/usb5/devnum", O_RDONLY) = 7
read(7, "1\n", 11)                      = 2
close(7)                                = 0
open("/sys/bus/usb/devices/usb5/bDeviceClass", O_RDONLY) = 7
read(7, "09\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/usb5/maxchild", O_RDONLY) = 7
read(7, "5\n", 11)                      = 2
close(7)                                = 0
open("/sys/bus/usb/devices/usb5/speed", O_RDONLY) = 7
read(7, "12\n", 255)                    = 3
close(7)                                = 0
readlink("/sys/bus/usb/devices/usb5/../driver", "../../../bus/pci/drivers/ohci_hcd"..., 4096) = 33
open("/sys/bus/usb/devices/5-0:1.0/bAlternateSetting", O_RDONLY) = 7
read(7, " 0\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/5-0:1.0/bInterfaceClass", O_RDONLY) = 7
read(7, "09\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/5-0:1.0/bInterfaceNumber", O_RDONLY) = 7
read(7, "00\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/5-0:1.0/bInterfaceProtocol", O_RDONLY) = 7
read(7, "00\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/5-0:1.0/bInterfaceSubClass", O_RDONLY) = 7
read(7, "00\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/5-0:1.0/bNumEndpoints", O_RDONLY) = 7
read(7, "01\n", 11)                     = 3
close(7)                                = 0
readlink("/sys/bus/usb/devices/5-0:1.0/driver", "../../../../../bus/usb/drivers/hub"..., 4096) = 34
open("/sys/bus/usb/devices/usb6/devnum", O_RDONLY) = 7
read(7, "1\n", 11)                      = 2
close(7)                                = 0
open("/sys/bus/usb/devices/usb6/bDeviceClass", O_RDONLY) = 7
read(7, "09\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/usb6/maxchild", O_RDONLY) = 7
read(7, "2\n", 11)                      = 2
close(7)                                = 0
open("/sys/bus/usb/devices/usb6/speed", O_RDONLY) = 7
read(7, "12\n", 255)                    = 3
close(7)                                = 0
readlink("/sys/bus/usb/devices/usb6/../driver", "../../../bus/pci/drivers/ohci_hcd"..., 4096) = 33
open("/sys/bus/usb/devices/6-0:1.0/bAlternateSetting", O_RDONLY) = 7
read(7, " 0\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/6-0:1.0/bInterfaceClass", O_RDONLY) = 7
read(7, "09\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/6-0:1.0/bInterfaceNumber", O_RDONLY) = 7
read(7, "00\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/6-0:1.0/bInterfaceProtocol", O_RDONLY) = 7
read(7, "00\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/6-0:1.0/bInterfaceSubClass", O_RDONLY) = 7
read(7, "00\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/6-0:1.0/bNumEndpoints", O_RDONLY) = 7
read(7, "01\n", 11)                     = 3
close(7)                                = 0
readlink("/sys/bus/usb/devices/6-0:1.0/driver", "../../../../../bus/usb/drivers/hub"..., 4096) = 34
open("/sys/bus/usb/devices/usb7/devnum", O_RDONLY) = 7
read(7, "1\n", 11)                      = 2
close(7)                                = 0
open("/sys/bus/usb/devices/usb7/bDeviceClass", O_RDONLY) = 7
read(7, "09\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/usb7/maxchild", O_RDONLY) = 7
read(7, "4\n", 11)                      = 2
close(7)                                = 0
open("/sys/bus/usb/devices/usb7/speed", O_RDONLY) = 7
read(7, "12\n", 255)                    = 3
close(7)                                = 0
readlink("/sys/bus/usb/devices/usb7/../driver", "../../../bus/pci/drivers/ohci_hcd"..., 4096) = 33
open("/sys/bus/usb/devices/7-0:1.0/bAlternateSetting", O_RDONLY) = 7
read(7, " 0\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/7-0:1.0/bInterfaceClass", O_RDONLY) = 7
read(7, "09\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/7-0:1.0/bInterfaceNumber", O_RDONLY) = 7
read(7, "00\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/7-0:1.0/bInterfaceProtocol", O_RDONLY) = 7
read(7, "00\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/7-0:1.0/bInterfaceSubClass", O_RDONLY) = 7
read(7, "00\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/7-0:1.0/bNumEndpoints", O_RDONLY) = 7
read(7, "01\n", 11)                     = 3
close(7)                                = 0
readlink("/sys/bus/usb/devices/7-0:1.0/driver", "../../../../../bus/usb/drivers/hub"..., 4096) = 34
open("/sys/bus/usb/devices/usb8/devnum", O_RDONLY) = 7
read(7, "1\n", 11)                      = 2
close(7)                                = 0
open("/sys/bus/usb/devices/usb8/bDeviceClass", O_RDONLY) = 7
read(7, "09\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/usb8/maxchild", O_RDONLY) = 7
read(7, "2\n", 11)                      = 2
close(7)                                = 0
open("/sys/bus/usb/devices/usb8/speed", O_RDONLY) = 7
read(7, "480\n", 255)                   = 4
close(7)                                = 0
readlink("/sys/bus/usb/devices/usb8/../driver", "../../../../bus/pci/drivers/xhci_hcd", 4096) = 36
open("/sys/bus/usb/devices/8-0:1.0/bAlternateSetting", O_RDONLY) = 7
read(7, " 0\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/8-0:1.0/bInterfaceClass", O_RDONLY) = 7
read(7, "09\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/8-0:1.0/bInterfaceNumber", O_RDONLY) = 7
read(7, "00\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/8-0:1.0/bInterfaceProtocol", O_RDONLY) = 7
read(7, "00\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/8-0:1.0/bInterfaceSubClass", O_RDONLY) = 7
read(7, "00\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/8-0:1.0/bNumEndpoints", O_RDONLY) = 7
read(7, "01\n", 11)                     = 3
close(7)                                = 0
readlink("/sys/bus/usb/devices/8-0:1.0/driver", "../../../../../../bus/usb/drivers/hub"..., 4096) = 37
open("/sys/bus/usb/devices/usb9/devnum", O_RDONLY) = 7
read(7, "1\n", 11)                      = 2
close(7)                                = 0
open("/sys/bus/usb/devices/usb9/bDeviceClass", O_RDONLY) = 7
read(7, "09\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/usb9/maxchild", O_RDONLY) = 7
read(7, "2\n", 11)                      = 2
close(7)                                = 0
open("/sys/bus/usb/devices/usb9/speed", O_RDONLY) = 7
read(7, "5000\n", 255)                  = 5
close(7)                                = 0
readlink("/sys/bus/usb/devices/usb9/../driver", "../../../../bus/pci/drivers/xhci_hcd", 4096) = 36
open("/sys/bus/usb/devices/9-0:1.0/bAlternateSetting", O_RDONLY) = 7
read(7, " 0\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/9-0:1.0/bInterfaceClass", O_RDONLY) = 7
read(7, "09\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/9-0:1.0/bInterfaceNumber", O_RDONLY) = 7
read(7, "00\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/9-0:1.0/bInterfaceProtocol", O_RDONLY) = 7
read(7, "00\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/9-0:1.0/bInterfaceSubClass", O_RDONLY) = 7
read(7, "00\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/9-0:1.0/bNumEndpoints", O_RDONLY) = 7
read(7, "01\n", 11)                     = 3
close(7)                                = 0
readlink("/sys/bus/usb/devices/9-0:1.0/driver", "../../../../../../bus/usb/drivers/hub"..., 4096) = 37
open("/sys/bus/usb/devices/usb10/devnum", O_RDONLY) = 7
read(7, "1\n", 11)                      = 2
close(7)                                = 0
open("/sys/bus/usb/devices/usb10/bDeviceClass", O_RDONLY) = 7
read(7, "09\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/usb10/maxchild", O_RDONLY) = 7
read(7, "2\n", 11)                      = 2
close(7)                                = 0
open("/sys/bus/usb/devices/usb10/speed", O_RDONLY) = 7
read(7, "480\n", 255)                   = 4
close(7)                                = 0
readlink("/sys/bus/usb/devices/usb10/../driver", "../../../../bus/pci/drivers/xhci_hcd", 4096) = 36
open("/sys/bus/usb/devices/10-0:1.0/bAlternateSetting", O_RDONLY) = 7
read(7, " 0\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/10-0:1.0/bInterfaceClass", O_RDONLY) = 7
read(7, "09\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/10-0:1.0/bInterfaceNumber", O_RDONLY) = 7
read(7, "00\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/10-0:1.0/bInterfaceProtocol", O_RDONLY) = 7
read(7, "00\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/10-0:1.0/bInterfaceSubClass", O_RDONLY) = 7
read(7, "00\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/10-0:1.0/bNumEndpoints", O_RDONLY) = 7
read(7, "01\n", 11)                     = 3
close(7)                                = 0
readlink("/sys/bus/usb/devices/10-0:1.0/driver", "../../../../../../bus/usb/drivers/hub"..., 4096) = 37
open("/sys/bus/usb/devices/usb11/devnum", O_RDONLY) = 7
read(7, "1\n", 11)                      = 2
close(7)                                = 0
open("/sys/bus/usb/devices/usb11/bDeviceClass", O_RDONLY) = 7
read(7, "09\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/usb11/maxchild", O_RDONLY) = 7
read(7, "2\n", 11)                      = 2
close(7)                                = 0
open("/sys/bus/usb/devices/usb11/speed", O_RDONLY) = 7
read(7, "5000\n", 255)                  = 5
close(7)                                = 0
readlink("/sys/bus/usb/devices/usb11/../driver", "../../../../bus/pci/drivers/xhci_hcd", 4096) = 36
open("/sys/bus/usb/devices/11-0:1.0/bAlternateSetting", O_RDONLY) = 7
read(7, " 0\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/11-0:1.0/bInterfaceClass", O_RDONLY) = 7
read(7, "09\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/11-0:1.0/bInterfaceNumber", O_RDONLY) = 7
read(7, "00\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/11-0:1.0/bInterfaceProtocol", O_RDONLY) = 7
read(7, "00\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/11-0:1.0/bInterfaceSubClass", O_RDONLY) = 7
read(7, "00\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/11-0:1.0/bNumEndpoints", O_RDONLY) = 7
read(7, "01\n", 11)                     = 3
close(7)                                = 0
readlink("/sys/bus/usb/devices/11-0:1.0/driver", "../../../../../../bus/usb/drivers/hub"..., 4096) = 37
open("/sys/bus/usb/devices/1-2/bConfigurationValue", O_RDONLY) = 7
read(7, "1\n", 11)                      = 2
close(7)                                = 0
open("/sys/bus/usb/devices/1-2/bDeviceClass", O_RDONLY) = 7
read(7, "ff\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/1-2/bDeviceProtocol", O_RDONLY) = 7
read(7, "ff\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/1-2/bDeviceSubClass", O_RDONLY) = 7
read(7, "ff\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/1-2/bMaxPacketSize0", O_RDONLY) = 7
read(7, "64\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/1-2/bMaxPower", O_RDONLY) = 7
read(7, "500mA\n", 255)                 = 6
close(7)                                = 0
open("/sys/bus/usb/devices/1-2/bNumConfigurations", O_RDONLY) = 7
read(7, "1\n", 11)                      = 2
close(7)                                = 0
open("/sys/bus/usb/devices/1-2/bNumInterfaces", O_RDONLY) = 7
read(7, " 1\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/1-2/bcdDevice", O_RDONLY) = 7
read(7, "0603\n", 11)                   = 5
close(7)                                = 0
open("/sys/bus/usb/devices/1-2/bmAttributes", O_RDONLY) = 7
read(7, "a0\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/1-2/configuration", O_RDONLY) = 7
read(7, "", 11)                         = 0
close(7)                                = 0
open("/sys/bus/usb/devices/1-2/devnum", O_RDONLY) = 7
read(7, "2\n", 11)                      = 2
close(7)                                = 0
open("/sys/bus/usb/devices/1-2/idProduct", O_RDONLY) = 7
read(7, "1905\n", 11)                   = 5
close(7)                                = 0
open("/sys/bus/usb/devices/1-2/idVendor", O_RDONLY) = 7
read(7, "04a9\n", 11)                   = 5
close(7)                                = 0
open("/sys/bus/usb/devices/1-2/maxchild", O_RDONLY) = 7
read(7, "0\n", 11)                      = 2
close(7)                                = 0
open("/sys/bus/usb/devices/1-2/manufacturer", O_RDONLY) = 7
read(7, "Canon\n", 255)                 = 6
close(7)                                = 0
open("/sys/bus/usb/devices/1-2/product", O_RDONLY) = 7
read(7, "CanoScan\n", 255)              = 9
close(7)                                = 0
open("/sys/bus/usb/devices/1-2/serial", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/sys/bus/usb/devices/1-2/version", O_RDONLY) = 7
read(7, " 2.00\n", 255)                 = 6
close(7)                                = 0
open("/sys/bus/usb/devices/1-2/speed", O_RDONLY) = 7
read(7, "480\n", 255)                   = 4
close(7)                                = 0
readlink("/sys/bus/usb/devices/1-2/driver", "../../../../../bus/usb/drivers/usb"..., 4096) = 34
open("/sys/bus/usb/devices/1-2:1.0/bAlternateSetting", O_RDONLY) = 7
read(7, " 0\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/1-2:1.0/bInterfaceClass", O_RDONLY) = 7
read(7, "ff\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/1-2:1.0/bInterfaceNumber", O_RDONLY) = 7
read(7, "00\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/1-2:1.0/bInterfaceProtocol", O_RDONLY) = 7
read(7, "ff\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/1-2:1.0/bInterfaceSubClass", O_RDONLY) = 7
read(7, "ff\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/1-2:1.0/bNumEndpoints", O_RDONLY) = 7
read(7, "03\n", 11)                     = 3
close(7)                                = 0
readlink("/sys/bus/usb/devices/1-2:1.0/driver", 0x7fff062aa490, 4096) = -1 ENOENT (No such file or directory)
dup(2)                                  = 7
fcntl(7, F_GETFL)                       = 0x8002 (flags O_RDWR|O_LARGEFILE)
fstat(7, {st_mode=S_IFCHR|0600, st_rdev=makedev(136, 1), ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7ffca699a000
lseek(7, 0, SEEK_CUR)                   = -1 ESPIPE (Illegal seek)
write(7, "1-2:1.0: No such file or directo"..., 351-2:1.0: No such file or directory
) = 35
close(7)                                = 0
munmap(0x7ffca699a000, 4096)            = 0
open("/sys/bus/usb/devices/5-4/bConfigurationValue", O_RDONLY) = 7
read(7, "1\n", 11)                      = 2
close(7)                                = 0
open("/sys/bus/usb/devices/5-4/bDeviceClass", O_RDONLY) = 7
read(7, "00\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/5-4/bDeviceProtocol", O_RDONLY) = 7
read(7, "00\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/5-4/bDeviceSubClass", O_RDONLY) = 7
read(7, "00\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/5-4/bMaxPacketSize0", O_RDONLY) = 7
read(7, "8\n", 11)                      = 2
close(7)                                = 0
open("/sys/bus/usb/devices/5-4/bMaxPower", O_RDONLY) = 7
read(7, "100mA\n", 255)                 = 6
close(7)                                = 0
open("/sys/bus/usb/devices/5-4/bNumConfigurations", O_RDONLY) = 7
read(7, "1\n", 11)                      = 2
close(7)                                = 0
open("/sys/bus/usb/devices/5-4/bNumInterfaces", O_RDONLY) = 7
read(7, " 2\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/5-4/bcdDevice", O_RDONLY) = 7
read(7, "0110\n", 11)                   = 5
close(7)                                = 0
open("/sys/bus/usb/devices/5-4/bmAttributes", O_RDONLY) = 7
read(7, "a0\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/5-4/configuration", O_RDONLY) = 7
read(7, "", 11)                         = 0
close(7)                                = 0
open("/sys/bus/usb/devices/5-4/devnum", O_RDONLY) = 7
read(7, "2\n", 11)                      = 2
close(7)                                = 0
open("/sys/bus/usb/devices/5-4/idProduct", O_RDONLY) = 7
read(7, "0101\n", 11)                   = 5
close(7)                                = 0
open("/sys/bus/usb/devices/5-4/idVendor", O_RDONLY) = 7
read(7, "0a81\n", 11)                   = 5
close(7)                                = 0
open("/sys/bus/usb/devices/5-4/maxchild", O_RDONLY) = 7
read(7, "0\n", 11)                      = 2
close(7)                                = 0
open("/sys/bus/usb/devices/5-4/manufacturer", O_RDONLY) = 7
read(7, "CHESEN\n", 255)                = 7
close(7)                                = 0
open("/sys/bus/usb/devices/5-4/product", O_RDONLY) = 7
read(7, "USB Keyboard\n", 255)          = 13
close(7)                                = 0
open("/sys/bus/usb/devices/5-4/serial", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/sys/bus/usb/devices/5-4/version", O_RDONLY) = 7
read(7, " 1.10\n", 255)                 = 6
close(7)                                = 0
open("/sys/bus/usb/devices/5-4/speed", O_RDONLY) = 7
read(7, "1.5\n", 255)                   = 4
close(7)                                = 0
readlink("/sys/bus/usb/devices/5-4/driver", "../../../../../bus/usb/drivers/usb"..., 4096) = 34
open("/sys/bus/usb/devices/5-4:1.0/bAlternateSetting", O_RDONLY) = 7
read(7, " 0\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/5-4:1.0/bInterfaceClass", O_RDONLY) = 7
read(7, "03\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/5-4:1.0/bInterfaceNumber", O_RDONLY) = 7
read(7, "00\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/5-4:1.0/bInterfaceProtocol", O_RDONLY) = 7
read(7, "01\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/5-4:1.0/bInterfaceSubClass", O_RDONLY) = 7
read(7, "01\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/5-4:1.0/bNumEndpoints", O_RDONLY) = 7
read(7, "01\n", 11)                     = 3
close(7)                                = 0
readlink("/sys/bus/usb/devices/5-4:1.0/driver", "../../../../../../bus/usb/drivers/usbhid"..., 4096) = 40
open("/sys/bus/usb/devices/5-4:1.1/bAlternateSetting", O_RDONLY) = 7
read(7, " 0\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/5-4:1.1/bInterfaceClass", O_RDONLY) = 7
read(7, "03\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/5-4:1.1/bInterfaceNumber", O_RDONLY) = 7
read(7, "01\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/5-4:1.1/bInterfaceProtocol", O_RDONLY) = 7
read(7, "00\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/5-4:1.1/bInterfaceSubClass", O_RDONLY) = 7
read(7, "00\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/5-4:1.1/bNumEndpoints", O_RDONLY) = 7
read(7, "01\n", 11)                     = 3
close(7)                                = 0
readlink("/sys/bus/usb/devices/5-4:1.1/driver", "../../../../../../bus/usb/drivers/usbhid", 4096) = 40
open("/sys/bus/usb/devices/5-5/bConfigurationValue", O_RDONLY) = 7
read(7, "1\n", 11)                      = 2
close(7)                                = 0
open("/sys/bus/usb/devices/5-5/bDeviceClass", O_RDONLY) = 7
read(7, "00\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/5-5/bDeviceProtocol", O_RDONLY) = 7
read(7, "00\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/5-5/bDeviceSubClass", O_RDONLY) = 7
read(7, "00\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/5-5/bMaxPacketSize0", O_RDONLY) = 7
read(7, "8\n", 11)                      = 2
close(7)                                = 0
open("/sys/bus/usb/devices/5-5/bMaxPower", O_RDONLY) = 7
read(7, "100mA\n", 255)                 = 6
close(7)                                = 0
open("/sys/bus/usb/devices/5-5/bNumConfigurations", O_RDONLY) = 7
read(7, "1\n", 11)                      = 2
close(7)                                = 0
open("/sys/bus/usb/devices/5-5/bNumInterfaces", O_RDONLY) = 7
read(7, " 1\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/5-5/bcdDevice", O_RDONLY) = 7
read(7, "0100\n", 11)                   = 5
close(7)                                = 0
open("/sys/bus/usb/devices/5-5/bmAttributes", O_RDONLY) = 7
read(7, "a0\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/5-5/configuration", O_RDONLY) = 7
read(7, "HID-complia", 11)              = 11
close(7)                                = 0
open("/sys/bus/usb/devices/5-5/devnum", O_RDONLY) = 7
read(7, "3\n", 11)                      = 2
close(7)                                = 0
open("/sys/bus/usb/devices/5-5/idProduct", O_RDONLY) = 7
read(7, "003a\n", 11)                   = 5
close(7)                                = 0
open("/sys/bus/usb/devices/5-5/idVendor", O_RDONLY) = 7
read(7, "0458\n", 11)                   = 5
close(7)                                = 0
open("/sys/bus/usb/devices/5-5/maxchild", O_RDONLY) = 7
read(7, "0\n", 11)                      = 2
close(7)                                = 0
open("/sys/bus/usb/devices/5-5/manufacturer", O_RDONLY) = 7
read(7, "Genius\n", 255)                = 7
close(7)                                = 0
open("/sys/bus/usb/devices/5-5/product", O_RDONLY) = 7
read(7, "Optical Mouse\n", 255)         = 14
close(7)                                = 0
open("/sys/bus/usb/devices/5-5/serial", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/sys/bus/usb/devices/5-5/version", O_RDONLY) = 7
read(7, " 1.10\n", 255)                 = 6
close(7)                                = 0
open("/sys/bus/usb/devices/5-5/speed", O_RDONLY) = 7
read(7, "1.5\n", 255)                   = 4
close(7)                                = 0
readlink("/sys/bus/usb/devices/5-5/driver", "../../../../../bus/usb/drivers/usb"..., 4096) = 34
open("/sys/bus/usb/devices/5-5:1.0/bAlternateSetting", O_RDONLY) = 7
read(7, " 0\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/5-5:1.0/bInterfaceClass", O_RDONLY) = 7
read(7, "03\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/5-5:1.0/bInterfaceNumber", O_RDONLY) = 7
read(7, "00\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/5-5:1.0/bInterfaceProtocol", O_RDONLY) = 7
read(7, "02\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/5-5:1.0/bInterfaceSubClass", O_RDONLY) = 7
read(7, "01\n", 11)                     = 3
close(7)                                = 0
open("/sys/bus/usb/devices/5-5:1.0/bNumEndpoints", O_RDONLY) = 7
read(7, "01\n", 11)                     = 3
close(7)                                = 0
readlink("/sys/bus/usb/devices/5-5:1.0/driver", "../../../../../../bus/usb/drivers/usbhid", 4096) = 40
getdents(6, /* 0 entries */, 32768)     = 0
close(6)                                = 0
fstat(1, {st_mode=S_IFCHR|0600, st_rdev=makedev(136, 1), ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7ffca699a000
write(1, "/:  Bus 11.Port 1: Dev 1, Class="..., 68/:  Bus 11.Port 1: Dev 1, Class=root_hub, Driver=xhci_hcd/2p, 5000M
) = 68
write(1, "/:  Bus 10.Port 1: Dev 1, Class="..., 67/:  Bus 10.Port 1: Dev 1, Class=root_hub, Driver=xhci_hcd/2p, 480M
) = 67
write(1, "/:  Bus 09.Port 1: Dev 1, Class="..., 68/:  Bus 09.Port 1: Dev 1, Class=root_hub, Driver=xhci_hcd/2p, 5000M
) = 68
write(1, "/:  Bus 08.Port 1: Dev 1, Class="..., 67/:  Bus 08.Port 1: Dev 1, Class=root_hub, Driver=xhci_hcd/2p, 480M
) = 67
write(1, "/:  Bus 07.Port 1: Dev 1, Class="..., 66/:  Bus 07.Port 1: Dev 1, Class=root_hub, Driver=ohci_hcd/4p, 12M
) = 66
write(1, "/:  Bus 06.Port 1: Dev 1, Class="..., 66/:  Bus 06.Port 1: Dev 1, Class=root_hub, Driver=ohci_hcd/2p, 12M
) = 66
write(1, "/:  Bus 05.Port 1: Dev 1, Class="..., 66/:  Bus 05.Port 1: Dev 1, Class=root_hub, Driver=ohci_hcd/5p, 12M
) = 66
write(1, "    |__ Port 4: Dev 2, If 0, Cla"..., 60    |__ Port 4: Dev 2, If 0, Class=HID, Driver=usbhid, 1.5M
) = 60
write(1, "    |__ Port 4: Dev 2, If 1, Cla"..., 60    |__ Port 4: Dev 2, If 1, Class=HID, Driver=usbhid, 1.5M
) = 60
write(1, "    |__ Port 5: Dev 3, If 0, Cla"..., 60    |__ Port 5: Dev 3, If 0, Class=HID, Driver=usbhid, 1.5M
) = 60
write(1, "/:  Bus 04.Port 1: Dev 1, Class="..., 66/:  Bus 04.Port 1: Dev 1, Class=root_hub, Driver=ohci_hcd/5p, 12M
) = 66
write(1, "/:  Bus 03.Port 1: Dev 1, Class="..., 67/:  Bus 03.Port 1: Dev 1, Class=root_hub, Driver=ehci_hcd/4p, 480M
) = 67
write(1, "/:  Bus 02.Port 1: Dev 1, Class="..., 67/:  Bus 02.Port 1: Dev 1, Class=root_hub, Driver=ehci_hcd/5p, 480M
) = 67
write(1, "/:  Bus 01.Port 1: Dev 1, Class="..., 67/:  Bus 01.Port 1: Dev 1, Class=root_hub, Driver=ehci_hcd/5p, 480M
) = 67
write(1, "    |__ Port 2: Dev 2, If 0, Cla"..., 56    |__ Port 2: Dev 2, If 0, Class=vend., Driver=, 480M
) = 56
close(3)                                = 0
close(4)                                = 0
close(5)                                = 0
exit_group(0)                           = ?

This is an f17 host. I will get info from other hosts later.

Comment 5 Reartes Guillermo 2012-04-03 11:40:59 UTC
And also:

# strace lsusb
execve("/usr/bin/lsusb", ["lsusb"], [/* 26 vars */]) = 0
brk(0)                                  = 0xfa4000
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f0aa9007000
access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=129303, ...}) = 0
mmap(NULL, 129303, PROT_READ, MAP_PRIVATE, 3, 0) = 0x7f0aa8fe0000
close(3)                                = 0
open("/lib64/libusb-1.0.so.0", O_RDONLY) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0 &\200\2711\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=56280, ...}) = 0
mmap(0x31b9800000, 2149104, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x31b9800000
mprotect(0x31b980d000, 2093056, PROT_NONE) = 0
mmap(0x31b9a0c000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0xc000) = 0x31b9a0c000
close(3)                                = 0
open("/lib64/libc.so.6", O_RDONLY)      = 3
read(3, "\177ELF\2\1\1\3\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0p\24\242\2401\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=1951696, ...}) = 0
mmap(0x31a0a00000, 3773688, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x31a0a00000
mprotect(0x31a0b90000, 2093056, PROT_NONE) = 0
mmap(0x31a0d8f000, 20480, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x18f000) = 0x31a0d8f000
mmap(0x31a0d94000, 21752, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x31a0d94000
close(3)                                = 0
open("/lib64/librt.so.1", O_RDONLY)     = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0`!\340\2411\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=47552, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f0aa8fdf000
mmap(0x31a1e00000, 2128968, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x31a1e00000
mprotect(0x31a1e07000, 2093056, PROT_NONE) = 0
mmap(0x31a2006000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x6000) = 0x31a2006000
close(3)                                = 0
open("/lib64/libpthread.so.0", O_RDONLY) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\300i \2411\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=140960, ...}) = 0
mmap(0x31a1200000, 2204664, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x31a1200000
mprotect(0x31a1216000, 2093056, PROT_NONE) = 0
mmap(0x31a1415000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x15000) = 0x31a1415000
mmap(0x31a1417000, 13304, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x31a1417000
close(3)                                = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f0aa8fde000
mmap(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f0aa8fdc000
arch_prctl(ARCH_SET_FS, 0x7f0aa8fdc720) = 0
mprotect(0x31a0d8f000, 16384, PROT_READ) = 0
mprotect(0x31a2006000, 4096, PROT_READ) = 0
mprotect(0x31a1415000, 4096, PROT_READ) = 0
mprotect(0x31a081e000, 4096, PROT_READ) = 0
munmap(0x7f0aa8fe0000, 129303)          = 0
set_tid_address(0x7f0aa8fdc9f0)         = 9193
set_robust_list(0x7f0aa8fdca00, 0x18)   = 0
rt_sigaction(SIGRTMIN, {0x31a1206510, [], SA_RESTORER|SA_SIGINFO, 0x31a120eee0}, NULL, 8) = 0
rt_sigaction(SIGRT_1, {0x31a12065a0, [], SA_RESTORER|SA_RESTART|SA_SIGINFO, 0x31a120eee0}, NULL, 8) = 0
rt_sigprocmask(SIG_UNBLOCK, [RTMIN RT_1], NULL, 8) = 0
getrlimit(RLIMIT_STACK, {rlim_cur=8192*1024, rlim_max=RLIM_INFINITY}) = 0
brk(0)                                  = 0xfa4000
brk(0xfc5000)                           = 0xfc5000
brk(0)                                  = 0xfc5000
open("/usr/share/hwdata/usb.ids", O_RDONLY) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=451747, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f0aa9006000
read(3, "#\n#\tList of USB ID's\n#\n#\tMaintai"..., 4096) = 4096
read(3, "Bluetooth Device\n\t6440  WML-C52A"..., 4096) = 4096
read(3, "bcam\n\t1c02  PhotoSmart A710 seri"..., 4096) = 4096
read(3, "FP\n\t5711  PhotoSmart C4100 serie"..., 4096) = 4096
read(3, "-Xchange Adapter\n\tadcc  Composit"..., 4096) = 4096
read(3, "310  K590 Printer, Self-Service\n"..., 4096) = 4096
read(3, "\n\t05b7  Digital Camera\n\t05b8  Di"..., 4096) = 4096
read(3, " (STK7700P based)\n0414  Giga-Byt"..., 4096) = 4096
read(3, "(MTP)\n\t4151  Zen Vision:M (mtp)\n"..., 4096) = 4096
read(3, "orp.\n\t0001  Integrated Hub\n\t0acd"..., 4096) = 4096
read(3, "nter\n\t007c  Lexmark X1110/X1130/"..., 4096) = 4096
read(3, "\n\tf001  FT2232H Hi-Speed JTAG IC"..., 4096) = 4096
read(3, "  Sidewinder Strategic Commander"..., 4096) = 4096
read(3, "ed Pocket PC 2003\n\t043d  Becker "..., 4096) = 4096
read(3, "feCam HD-5000\n\t930a  ISOUSB.SYS "..., 4096) = 4096
read(3, "s Pro)\n\t08c5  QuickCam Pro 5000\n"..., 4096) = 4096
read(3, "f  F710 Wireless Gamepad [XInput"..., 4096) = 4096
read(3, "Player\n\t0163  GoGear SA1100\n\t016"..., 4096) = 4096
read(3, "018  Studio Mouse\n\t101d  Mouse*i"..., 4096) = 4096
brk(0)                                  = 0xfc5000
brk(0xfe6000)                           = 0xfe6000
read(3, "UX256 MIDI I/F\n\t1001  MU1000\n\t10"..., 4096) = 4096
read(3, "h 7600 Scanner\n\t0221  OneTouch 5"..., 4096) = 4096
read(3, "219  CanoScan 9950F\n\t221b  CanoS"..., 4096) = 4096
read(3, "ot S410 Digital Elph\n\t30bb  Powe"..., 4096) = 4096
read(3, "\t4482  Serial Converter\n\t4485  S"..., 4096) = 4096
read(3, "tylus Photo RX560/580/590 (PM-A8"..., 4096) = 4096
read(3, "800/6800 Zoom (PC CAM)\n\t0108  Fi"..., 4096) = 4096
read(3, "1  PIC24F Starter Kit\n\t900a  PIC"..., 4096) = 4096
read(3, "ader\n\t5292  SCL011 RFID reader\n\t"..., 4096) = 4096
read(3, "  MITs Sync\n\t6632  MITs Sync\n\t66"..., 4096) = 4096
read(3, " HL-5250DN Printer\n\t002c  Printe"..., 4096) = 4096
read(3, "ALink SPIF225A\n\t1528  SPCA1527A/"..., 4096) = 4096
read(3, "nk RT2870]\n\t805e  F5D8053 N Wire"..., 4096) = 4096
read(3, "nstitut of Microelectronic & Mec"..., 4096) = 4096
read(3, "G-TJ35 PDA Serial\n\t016a  Clie PE"..., 4096) = 4096
read(3, "ebooks [pwc]\n\ta000  SWL-2100U\n\ta"..., 4096) = 4096
read(3, "03  UC-SGT\n\t5004  UC-SGT\n\t6008  "..., 4096) = 4096
brk(0)                                  = 0xfe6000
brk(0x1007000)                          = 0x1007000
read(3, "Fritz!WLAN [Texas Instruments TN"..., 4096) = 4096
read(3, "l\n\tb00a  PSX/USB converter\n\tb00b"..., 4096) = 4096
read(3, " (Type 3)\n\t0032  Zip 250 (Ver 2)"..., 4096) = 4096
read(3, "ckpad (ANSI)\n\t0224  Internal Key"..., 4096) = 4096
read(3, "0  SIMCom SIM5218 modem\n\t9001  G"..., 4096) = 4096
read(3, "aker X6/X6U\n\t009a  Phantom C6\n\t0"..., 4096) = 4096
read(3, "Mbps Adapter\n05df  Silicon Visio"..., 4096) = 4096
read(3, "cs Co., Ltd\n0607  Bridge Informa"..., 4096) = 4096
read(3, "r CrystalEye Webcam\n\ta102  Acer/"..., 4096) = 4096
read(3, "layer\n\t821c  MP3 Player\n\t821d  M"..., 4096) = 4096
read(3, " XT Camera [remote mode]\n\t4017  "..., 4096) = 4096
read(3, "l Connect Modem\n\t000b  WireSpeed"..., 4096) = 4096
read(3, "apanese Keyboard\n06d6  Aashima T"..., 4096) = 4096
read(3, " GamePad\n\tb000  Hercules DJ Cons"..., 4096) = 4096
read(3, "\t4586  XBox Device\n\t4588  XBox D"..., 4096) = 4096
read(3, "g. Co., Ltd\n077b  Linksys\n\t08be "..., 4096) = 4096
read(3, "0790  Pro-Image Manufacturing Co"..., 4096) = 4096
read(3, "Voice Recorder DS-330\n\t0207  Dig"..., 4096) = 4096
brk(0)                                  = 0x1007000
brk(0x1028000)                          = 0x1028000
read(3, "eader (UISMA)\n\t0012  Reader (UIS"..., 4096) = 4096
read(3, "02.11n Wireless N Adapter(rev.B)"..., 4096) = 4096
read(3, "imax 410\n\t000e  Digimax 360\n\t001"..., 4096) = 4096
read(3, "chi Maxell, Ltd\n\t3102  Bluetooth"..., 4096) = 4096
read(3, "3  Pocket DV Digital Camera\n\t010"..., 4096) = 4096
read(3, "\t3402  AES3400 Sensor\n\t3403  AES"..., 4096) = 4096
read(3, "0 (X750_USB)\n0925  Lakeview Rese"..., 4096) = 4096
read(3, "0U A/V Capture Audio\n\ta004  Conv"..., 4096) = 4096
read(3, "\t0007  Reader V2\n\t0008  ZFG-9800"..., 4096) = 4096
read(3, " 82-key backlit keyboard\n0a35  R"..., 4096) = 4096
read(3, "Corp.\n0a5f  Zebra\n\t0009  LP2844 "..., 4096) = 4096
read(3, "unication Camera VGP-VCC1\n\tc302 "..., 4096) = 4096
read(3, "\n0b0b  Datamax-O'Neil\n\t106e  Dat"..., 4096) = 4096
read(3, "nology, Inc.\n0b85  Elkat Electro"..., 4096) = 4096
read(3, " SmartPhone Sync\n\t0a6c  SmartPho"..., 4096) = 4096
read(3, " Mass Storage Device\n\t0178  Mass"..., 4096) = 4096
read(3, "\n\t0204  Metrologic MS7120 Barcod"..., 4096) = 4096
read(3, "0360/MT9V011 or MI0360SOC/MT9V11"..., 4096) = 4096
brk(0)                                  = 0x1028000
brk(0x1049000)                          = 0x1049000
read(3, "td\n0ccc  Domex Technology Corp.\n"..., 4096) = 4096
read(3, "y, Ltd\n0d3d  Tangtop Technology "..., 4096) = 4096
read(3, "  Mass Storage Controller\n\t5200 "..., 4096) = 4096
read(3, "hen Yeh Enterprise Corp.\n0db7  E"..., 4096) = 4096
read(3, "ss Network USB Adapter\n\t9075  WL"..., 4096) = 4096
read(3, "\t1204  Gmini XS 200\n\t1306  504 P"..., 4096) = 4096
read(3, " Co., Ltd\n0f2f  Priva Design Ser"..., 4096) = 4096
read(3, "ass Storage] \n\te0ef  C905 Phone "..., 4096) = 4096
read(3, "  Winbond Electronics Corp. [hex"..., 4096) = 4096
read(3, " Inc.\n\t3009  eHome Infrared Tran"..., 4096) = 4096
read(3, " 1650-16 16-Port RS-232/422/485\n"..., 4096) = 4096
read(3, "reless Modem\n\t900a  Gobi 2000 Wi"..., 4096) = 4096
read(3, " Wireless Terminal\n\t1037  Ideos\n"..., 4096) = 4096
read(3, "der\n13b0  PerkinElmer Optoelectr"..., 4096) = 4096
read(3, "  DataTraveler 2.0 4GB Flash Dri"..., 4096) = 4096
read(3, " Inc.\n14b0  StarTech.com Ltd.\n14"..., 4096) = 4096
read(3, " USB Wireless Card\n\t0012  WUBR-2"..., 4096) = 4096
read(3, "dem\n\t1a17  Agilent Technologies "..., 4096) = 4096
brk(0)                                  = 0x1049000
brk(0x106a000)                          = 0x106a000
read(3, "801  U43\n16b5  Persentec, Inc.\n\t"..., 4096) = 4096
read(3, "asynote MX66-208W\n\taa11  Web Cam"..., 4096) = 4096
read(3, "(v2) based USB DVB-T receiver\n\tf"..., 4096) = 4096
read(3, "nfotech Logistic, LLC\n19b9  Data"..., 4096) = 4096
read(3, "35  PC Camera/Webcam controller\n"..., 4096) = 4096
read(3, "CS, INC.\n1ca0  ACCARIO Inc.\n1cac"..., 4096) = 4096
read(3, "5523]\n\t3a03  DWL-G132 (no firmwa"..., 4096) = 4096
read(3, " 1.0 (TDMA) chipset\n\t1801  Rainb"..., 4096) = 4096
read(3, "0\n\t100a  MPIO FL300\n\t100b  MPIO "..., 4096) = 4096
read(3, "AIO Printer 926\n\t5116  AIO Print"..., 4096) = 4096
read(3, " 802.11g Adapter [Intersil ISL38"..., 4096) = 4096
read(3, "ller from (Intel/CSR)\n\t1110  PRO"..., 4096) = 4096
read(3, "d protocols\n\n# Syntax:\n# C class"..., 4096) = 4096
read(3, "  VCR Audio\nAT 070a  Video Disc "..., 4096) = 4096
read(3, "  Bicylce Crank\n\t0ce  Handle Bar"..., 4096) = 4096
read(3, "Locking Scroll Lock\n\t085  Keypad"..., 4096) = 4096
read(3, "tion\n\t062  Closed Caption Select"..., 4096) = 4096
brk(0)                                  = 0x106a000
brk(0x108b000)                          = 0x108b000
read(3, "\n\t234  AC Scroll Down\n\t235  AC S"..., 4096) = 4096
read(3, "oning\n\t038  Cursor Mode\n\t039  Cu"..., 4096) = 4096
read(3, "e Limit Expired\n\t044  Charging\n\t"..., 4096) = 4096
read(3, "\n\n# HID Descriptor bCountryCode\n"..., 4096) = 1187
read(3, "", 4096)                       = 0
close(3)                                = 0
munmap(0x7f0aa9006000, 4096)            = 0
open("/dev/bus/usb", O_RDONLY|O_NONBLOCK|O_DIRECTORY|O_CLOEXEC) = 3
getdents(3, /* 13 entries */, 32768)    = 312
close(3)                                = 0
uname({sys="Linux", node="ulquiorra.espada", ...}) = 0
stat("/sys/bus/usb/devices", {st_mode=S_IFDIR|0755, st_size=0, ...}) = 0
pipe([3, 4])                            = 0
timerfd_create(CLOCK_MONOTONIC, 0x800 /* TFD_??? */) = 5
open("/sys/bus/usb/devices", O_RDONLY|O_NONBLOCK|O_DIRECTORY|O_CLOEXEC) = 6
getdents(6, /* 31 entries */, 32768)    = 880
stat("/sys/bus/usb/devices/usb1/descriptors", {st_mode=S_IFREG|0444, st_size=65553, ...}) = 0
open("/sys/bus/usb/devices/usb1/busnum", O_RDONLY) = 7
fstat(7, {st_mode=S_IFREG|0444, st_size=4096, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f0aa9006000
read(7, "1\n", 4096)                    = 2
close(7)                                = 0
munmap(0x7f0aa9006000, 4096)            = 0
open("/sys/bus/usb/devices/usb1/devnum", O_RDONLY) = 7
fstat(7, {st_mode=S_IFREG|0444, st_size=4096, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f0aa9006000
read(7, "1\n", 4096)                    = 2
close(7)                                = 0
munmap(0x7f0aa9006000, 4096)            = 0
open("/sys/bus/usb/devices/usb1/descriptors", O_RDONLY) = 7
read(7, "\22\1\0\2\t\0\0@k\35\2\0\2\3\3\2\1\1", 18) = 18
close(7)                                = 0
open("/sys/bus/usb/devices/usb2/busnum", O_RDONLY) = 7
fstat(7, {st_mode=S_IFREG|0444, st_size=4096, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f0aa9006000
read(7, "2\n", 4096)                    = 2
close(7)                                = 0
munmap(0x7f0aa9006000, 4096)            = 0
open("/sys/bus/usb/devices/usb2/devnum", O_RDONLY) = 7
fstat(7, {st_mode=S_IFREG|0444, st_size=4096, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f0aa9006000
read(7, "1\n", 4096)                    = 2
close(7)                                = 0
munmap(0x7f0aa9006000, 4096)            = 0
open("/sys/bus/usb/devices/usb2/descriptors", O_RDONLY) = 7
read(7, "\22\1\0\2\t\0\0@k\35\2\0\2\3\3\2\1\1", 18) = 18
close(7)                                = 0
open("/sys/bus/usb/devices/usb3/busnum", O_RDONLY) = 7
fstat(7, {st_mode=S_IFREG|0444, st_size=4096, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f0aa9006000
read(7, "3\n", 4096)                    = 2
close(7)                                = 0
munmap(0x7f0aa9006000, 4096)            = 0
open("/sys/bus/usb/devices/usb3/devnum", O_RDONLY) = 7
fstat(7, {st_mode=S_IFREG|0444, st_size=4096, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f0aa9006000
read(7, "1\n", 4096)                    = 2
close(7)                                = 0
munmap(0x7f0aa9006000, 4096)            = 0
open("/sys/bus/usb/devices/usb3/descriptors", O_RDONLY) = 7
read(7, "\22\1\0\2\t\0\0@k\35\2\0\2\3\3\2\1\1", 18) = 18
close(7)                                = 0
open("/sys/bus/usb/devices/usb4/busnum", O_RDONLY) = 7
fstat(7, {st_mode=S_IFREG|0444, st_size=4096, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f0aa9006000
read(7, "4\n", 4096)                    = 2
close(7)                                = 0
munmap(0x7f0aa9006000, 4096)            = 0
open("/sys/bus/usb/devices/usb4/devnum", O_RDONLY) = 7
fstat(7, {st_mode=S_IFREG|0444, st_size=4096, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f0aa9006000
read(7, "1\n", 4096)                    = 2
close(7)                                = 0
munmap(0x7f0aa9006000, 4096)            = 0
open("/sys/bus/usb/devices/usb4/descriptors", O_RDONLY) = 7
read(7, "\22\1\20\1\t\0\0@k\35\1\0\2\3\3\2\1\1", 18) = 18
close(7)                                = 0
open("/sys/bus/usb/devices/usb5/busnum", O_RDONLY) = 7
fstat(7, {st_mode=S_IFREG|0444, st_size=4096, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f0aa9006000
read(7, "5\n", 4096)                    = 2
close(7)                                = 0
munmap(0x7f0aa9006000, 4096)            = 0
open("/sys/bus/usb/devices/usb5/devnum", O_RDONLY) = 7
fstat(7, {st_mode=S_IFREG|0444, st_size=4096, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f0aa9006000
read(7, "1\n", 4096)                    = 2
close(7)                                = 0
munmap(0x7f0aa9006000, 4096)            = 0
open("/sys/bus/usb/devices/usb5/descriptors", O_RDONLY) = 7
read(7, "\22\1\20\1\t\0\0@k\35\1\0\2\3\3\2\1\1", 18) = 18
close(7)                                = 0
open("/sys/bus/usb/devices/usb6/busnum", O_RDONLY) = 7
fstat(7, {st_mode=S_IFREG|0444, st_size=4096, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f0aa9006000
read(7, "6\n", 4096)                    = 2
close(7)                                = 0
munmap(0x7f0aa9006000, 4096)            = 0
open("/sys/bus/usb/devices/usb6/devnum", O_RDONLY) = 7
fstat(7, {st_mode=S_IFREG|0444, st_size=4096, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f0aa9006000
read(7, "1\n", 4096)                    = 2
close(7)                                = 0
munmap(0x7f0aa9006000, 4096)            = 0
open("/sys/bus/usb/devices/usb6/descriptors", O_RDONLY) = 7
read(7, "\22\1\20\1\t\0\0@k\35\1\0\2\3\3\2\1\1", 18) = 18
close(7)                                = 0
open("/sys/bus/usb/devices/usb7/busnum", O_RDONLY) = 7
fstat(7, {st_mode=S_IFREG|0444, st_size=4096, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f0aa9006000
read(7, "7\n", 4096)                    = 2
close(7)                                = 0
munmap(0x7f0aa9006000, 4096)            = 0
open("/sys/bus/usb/devices/usb7/devnum", O_RDONLY) = 7
fstat(7, {st_mode=S_IFREG|0444, st_size=4096, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f0aa9006000
read(7, "1\n", 4096)                    = 2
close(7)                                = 0
munmap(0x7f0aa9006000, 4096)            = 0
open("/sys/bus/usb/devices/usb7/descriptors", O_RDONLY) = 7
read(7, "\22\1\20\1\t\0\0@k\35\1\0\2\3\3\2\1\1", 18) = 18
close(7)                                = 0
open("/sys/bus/usb/devices/usb8/busnum", O_RDONLY) = 7
fstat(7, {st_mode=S_IFREG|0444, st_size=4096, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f0aa9006000
read(7, "8\n", 4096)                    = 2
close(7)                                = 0
munmap(0x7f0aa9006000, 4096)            = 0
open("/sys/bus/usb/devices/usb8/devnum", O_RDONLY) = 7
fstat(7, {st_mode=S_IFREG|0444, st_size=4096, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f0aa9006000
read(7, "1\n", 4096)                    = 2
close(7)                                = 0
munmap(0x7f0aa9006000, 4096)            = 0
open("/sys/bus/usb/devices/usb8/descriptors", O_RDONLY) = 7
read(7, "\22\1\0\2\t\0\1@k\35\2\0\2\3\3\2\1\1", 18) = 18
close(7)                                = 0
open("/sys/bus/usb/devices/usb9/busnum", O_RDONLY) = 7
fstat(7, {st_mode=S_IFREG|0444, st_size=4096, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f0aa9006000
read(7, "9\n", 4096)                    = 2
close(7)                                = 0
munmap(0x7f0aa9006000, 4096)            = 0
open("/sys/bus/usb/devices/usb9/devnum", O_RDONLY) = 7
fstat(7, {st_mode=S_IFREG|0444, st_size=4096, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f0aa9006000
read(7, "1\n", 4096)                    = 2
close(7)                                = 0
munmap(0x7f0aa9006000, 4096)            = 0
open("/sys/bus/usb/devices/usb9/descriptors", O_RDONLY) = 7
read(7, "\22\1\0\3\t\0\3\tk\35\3\0\2\3\3\2\1\1", 18) = 18
close(7)                                = 0
open("/sys/bus/usb/devices/usb10/busnum", O_RDONLY) = 7
fstat(7, {st_mode=S_IFREG|0444, st_size=4096, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f0aa9006000
read(7, "10\n", 4096)                   = 3
close(7)                                = 0
munmap(0x7f0aa9006000, 4096)            = 0
open("/sys/bus/usb/devices/usb10/devnum", O_RDONLY) = 7
fstat(7, {st_mode=S_IFREG|0444, st_size=4096, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f0aa9006000
read(7, "1\n", 4096)                    = 2
close(7)                                = 0
munmap(0x7f0aa9006000, 4096)            = 0
open("/sys/bus/usb/devices/usb10/descriptors", O_RDONLY) = 7
read(7, "\22\1\0\2\t\0\1@k\35\2\0\2\3\3\2\1\1", 18) = 18
close(7)                                = 0
open("/sys/bus/usb/devices/usb11/busnum", O_RDONLY) = 7
fstat(7, {st_mode=S_IFREG|0444, st_size=4096, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f0aa9006000
read(7, "11\n", 4096)                   = 3
close(7)                                = 0
munmap(0x7f0aa9006000, 4096)            = 0
open("/sys/bus/usb/devices/usb11/devnum", O_RDONLY) = 7
fstat(7, {st_mode=S_IFREG|0444, st_size=4096, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f0aa9006000
read(7, "1\n", 4096)                    = 2
close(7)                                = 0
munmap(0x7f0aa9006000, 4096)            = 0
open("/sys/bus/usb/devices/usb11/descriptors", O_RDONLY) = 7
read(7, "\22\1\0\3\t\0\3\tk\35\3\0\2\3\3\2\1\1", 18) = 18
close(7)                                = 0
open("/sys/bus/usb/devices/1-2/busnum", O_RDONLY) = 7
fstat(7, {st_mode=S_IFREG|0444, st_size=4096, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f0aa9006000
read(7, "1\n", 4096)                    = 2
close(7)                                = 0
munmap(0x7f0aa9006000, 4096)            = 0
open("/sys/bus/usb/devices/1-2/devnum", O_RDONLY) = 7
fstat(7, {st_mode=S_IFREG|0444, st_size=4096, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f0aa9006000
read(7, "2\n", 4096)                    = 2
close(7)                                = 0
munmap(0x7f0aa9006000, 4096)            = 0
open("/sys/bus/usb/devices/1-2/descriptors", O_RDONLY) = 7
read(7, "\22\1\0\2\377\377\377@\251\4\5\31\3\6\1\2\0\1", 18) = 18
close(7)                                = 0
open("/sys/bus/usb/devices/5-4/busnum", O_RDONLY) = 7
fstat(7, {st_mode=S_IFREG|0444, st_size=4096, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f0aa9006000
read(7, "5\n", 4096)                    = 2
close(7)                                = 0
munmap(0x7f0aa9006000, 4096)            = 0
open("/sys/bus/usb/devices/5-4/devnum", O_RDONLY) = 7
fstat(7, {st_mode=S_IFREG|0444, st_size=4096, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f0aa9006000
read(7, "2\n", 4096)                    = 2
close(7)                                = 0
munmap(0x7f0aa9006000, 4096)            = 0
open("/sys/bus/usb/devices/5-4/descriptors", O_RDONLY) = 7
read(7, "\22\1\20\1\0\0\0\10\201\n\1\1\20\1\1\2\0\1", 18) = 18
close(7)                                = 0
open("/sys/bus/usb/devices/5-5/busnum", O_RDONLY) = 7
fstat(7, {st_mode=S_IFREG|0444, st_size=4096, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f0aa9006000
read(7, "5\n", 4096)                    = 2
close(7)                                = 0
munmap(0x7f0aa9006000, 4096)            = 0
open("/sys/bus/usb/devices/5-5/devnum", O_RDONLY) = 7
fstat(7, {st_mode=S_IFREG|0444, st_size=4096, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f0aa9006000
read(7, "3\n", 4096)                    = 2
close(7)                                = 0
munmap(0x7f0aa9006000, 4096)            = 0
open("/sys/bus/usb/devices/5-5/descriptors", O_RDONLY) = 7
read(7, "\22\1\20\1\0\0\0\10X\4:\0\0\1\1\2\0\1", 18) = 18
close(7)                                = 0
getdents(6, /* 0 entries */, 32768)     = 0
close(6)                                = 0
open("/sys/bus/usb/devices/usb1/descriptors", O_RDONLY) = 6
read(6, "\22\1\0\2\t\0\0@k\35\2\0\2\3\3\2\1\1", 18) = 18
close(6)                                = 0
fstat(1, {st_mode=S_IFCHR|0600, st_rdev=makedev(136, 1), ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f0aa9006000
write(1, "Bus 001 Device 001: ID 1d6b:0002"..., 63Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
) = 63
open("/sys/bus/usb/devices/usb2/descriptors", O_RDONLY) = 6
read(6, "\22\1\0\2\t\0\0@k\35\2\0\2\3\3\2\1\1", 18) = 18
close(6)                                = 0
write(1, "Bus 002 Device 001: ID 1d6b:0002"..., 63Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
) = 63
open("/sys/bus/usb/devices/usb3/descriptors", O_RDONLY) = 6
read(6, "\22\1\0\2\t\0\0@k\35\2\0\2\3\3\2\1\1", 18) = 18
close(6)                                = 0
write(1, "Bus 003 Device 001: ID 1d6b:0002"..., 63Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
) = 63
open("/sys/bus/usb/devices/usb4/descriptors", O_RDONLY) = 6
read(6, "\22\1\20\1\t\0\0@k\35\1\0\2\3\3\2\1\1", 18) = 18
close(6)                                = 0
write(1, "Bus 004 Device 001: ID 1d6b:0001"..., 63Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
) = 63
open("/sys/bus/usb/devices/usb5/descriptors", O_RDONLY) = 6
read(6, "\22\1\20\1\t\0\0@k\35\1\0\2\3\3\2\1\1", 18) = 18
close(6)                                = 0
write(1, "Bus 005 Device 001: ID 1d6b:0001"..., 63Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
) = 63
open("/sys/bus/usb/devices/usb6/descriptors", O_RDONLY) = 6
read(6, "\22\1\20\1\t\0\0@k\35\1\0\2\3\3\2\1\1", 18) = 18
close(6)                                = 0
write(1, "Bus 006 Device 001: ID 1d6b:0001"..., 63Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
) = 63
open("/sys/bus/usb/devices/usb7/descriptors", O_RDONLY) = 6
read(6, "\22\1\20\1\t\0\0@k\35\1\0\2\3\3\2\1\1", 18) = 18
close(6)                                = 0
write(1, "Bus 007 Device 001: ID 1d6b:0001"..., 63Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
) = 63
open("/sys/bus/usb/devices/usb8/descriptors", O_RDONLY) = 6
read(6, "\22\1\0\2\t\0\1@k\35\2\0\2\3\3\2\1\1", 18) = 18
close(6)                                = 0
write(1, "Bus 008 Device 001: ID 1d6b:0002"..., 63Bus 008 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
) = 63
open("/sys/bus/usb/devices/usb9/descriptors", O_RDONLY) = 6
read(6, "\22\1\0\3\t\0\3\tk\35\3\0\2\3\3\2\1\1", 18) = 18
close(6)                                = 0
write(1, "Bus 009 Device 001: ID 1d6b:0003"..., 63Bus 009 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
) = 63
open("/sys/bus/usb/devices/usb10/descriptors", O_RDONLY) = 6
read(6, "\22\1\0\2\t\0\1@k\35\2\0\2\3\3\2\1\1", 18) = 18
close(6)                                = 0
write(1, "Bus 010 Device 001: ID 1d6b:0002"..., 63Bus 010 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
) = 63
open("/sys/bus/usb/devices/usb11/descriptors", O_RDONLY) = 6
read(6, "\22\1\0\3\t\0\3\tk\35\3\0\2\3\3\2\1\1", 18) = 18
close(6)                                = 0
write(1, "Bus 011 Device 001: ID 1d6b:0003"..., 63Bus 011 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
) = 63
open("/sys/bus/usb/devices/1-2/descriptors", O_RDONLY) = 6
read(6, "\22\1\0\2\377\377\377@\251\4\5\31\3\6\1\2\0\1", 18) = 18
close(6)                                = 0
write(1, "Bus 001 Device 002: ID 04a9:1905"..., 63Bus 001 Device 002: ID 04a9:1905 Canon, Inc. CanoScan LiDE 200
) = 63
open("/sys/bus/usb/devices/5-4/descriptors", O_RDONLY) = 6
read(6, "\22\1\20\1\0\0\0\10\201\n\1\1\20\1\1\2\0\1", 18) = 18
close(6)                                = 0
write(1, "Bus 005 Device 002: ID 0a81:0101"..., 67Bus 005 Device 002: ID 0a81:0101 Chesen Electronics Corp. Keyboard
) = 67
open("/sys/bus/usb/devices/5-5/descriptors", O_RDONLY) = 6
read(6, "\22\1\20\1\0\0\0\10X\4:\0\0\1\1\2\0\1", 18) = 18
close(6)                                = 0
write(1, "Bus 005 Device 003: ID 0458:003a"..., 115Bus 005 Device 003: ID 0458:003a KYE Systems Corp. (Mouse Systems) NetScroll+ Mini Traveler / Genius NetScroll 120
) = 115
close(3)                                = 0
close(4)                                = 0
close(5)                                = 0
exit_group(0)                           = ?

Comment 6 Lukáš Nykrýn 2012-04-03 12:19:57 UTC
Your strace is a little bit different from my, so can you please try this newer build of usbutils with mentioned patch?
http://lnykryn.fedorapeople.org/usbutils/

Comment 7 Reartes Guillermo 2012-04-03 22:10:38 UTC
Created attachment 574996 [details]
strace with the patched lsusb

F17 host

Comment 8 Reartes Guillermo 2012-04-03 22:15:47 UTC
Created attachment 574997 [details]
strace, upatched, F16, lsusb -t does not complete, must ctrl+c it.

Comment 9 Lukáš Nykrýn 2012-04-04 08:47:25 UTC
This seems to me as two independent issues. The error message is cause by missing driver symlink and lsusb-t only reads target of it and prints it. That should not cause any hang.
I have tried three different machines with fedora 16 and current version of usbutils and I didn't see any delay. But I will look more into it.

Comment 10 Reartes Guillermo 2012-04-04 12:14:54 UTC
The delay happens only with F16 on a Dell e4310.

Comment 11 Lukáš Nykrýn 2012-04-05 09:01:06 UTC
I probably can't solve the hanging problem without more information. Are you able to debug the code and find the place where it hangs?

Comment 12 Lukáš Nykrýn 2012-04-10 13:04:51 UTC
Or I can prepare some modified version of lsusb which should be more verbose and show us where the problem is.

Comment 13 Lukáš Nykrýn 2012-04-19 08:35:23 UTC
Upstream has accepted my patch from comment #3, so I will close this bug. For the hanging issue I have created clone 814087.

Comment 14 Fedora Update System 2012-04-19 08:43:44 UTC
usbutils-004-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/usbutils-004-4.fc17

Comment 15 Fedora Update System 2012-04-20 02:26:02 UTC
Package usbutils-004-4.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing usbutils-004-4.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6231/usbutils-004-4.fc17
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2012-05-02 20:54:11 UTC
usbutils-004-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.